# 選択した研究コーパスの概要を読む

正規URL： https://sosoapi.ai/ja/docs/api/research-api-projects-overview

契約: sha256:ab393e91e9b7f18a

正確な確定済みコーパスの決定的な件数を読みます。選択項目はオーディエンスや市場の規模ではありません。agent:research が必要です。

POST /research-api/projects/overview

## 認証と権限

- **受け付ける認証情報の種類:** user_session, delegated_oauth, personal_access_token

- **委任された機能権限:** agent:research

- **ワークスペースの最低ロール:** viewer

- **アクセス範囲:** このユーザーがアクセスを許可されたリソース

- **すべてのワークスペースへの同意が必要:** いいえ

- **状態を変更:** いいえ

- **操作完了時:** 現在許可されている正確な Research リソースデータ

トークンは所有者の権利内でのみ使えます。各要求で所属、リソース所有権、選択ワークスペース、付与機能を確認します。coreとfullは表示だけを変え、アクセスは付与しません。

## リクエストのフィールド

```json
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "workspace_id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    },
    "project_id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    },
    "project_revision": {
      "type": "integer",
      "exclusiveMinimum": 0,
      "maximum": 9007199254740991
    },
    "corpus_snapshot_id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    }
  },
  "required": [
    "workspace_id",
    "project_id",
    "project_revision",
    "corpus_snapshot_id"
  ],
  "additionalProperties": false
}
```

## レスポンスと完了条件

成功時のHTTPステータス： 200

HTTP成功は完了ではなく受理の場合があります。バックグラウンド処理はIDを保存し、同じ処理を完了まで確認します。予約・受理された投稿はプラットフォーム確認後のみ公開済みです。タイムアウトだけでは結果を判断できません。

```json
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "project_id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    },
    "project_revision": {
      "type": "integer",
      "exclusiveMinimum": 0,
      "maximum": 9007199254740991
    },
    "corpus_snapshot_id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    },
    "method_version": {
      "type": "string",
      "const": "literal-mentions/v1"
    },
    "coverage": {
      "type": "string",
      "enum": [
        "supplied_set",
        "bounded_sample",
        "partial"
      ]
    },
    "evidence_count": {
      "type": "integer",
      "minimum": 0,
      "maximum": 9007199254740991
    },
    "unique_items": {
      "type": "integer",
      "minimum": 0,
      "maximum": 9007199254740991
    },
    "brand_union_count": {
      "type": "integer",
      "minimum": 0,
      "maximum": 9007199254740991
    },
    "overlap_count": {
      "type": "integer",
      "minimum": 0,
      "maximum": 9007199254740991
    },
    "brands": {
      "maxItems": 20,
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid",
            "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
          },
          "name": {
            "type": "string",
            "minLength": 1,
            "maxLength": 100
          },
          "matched_items": {
            "type": "integer",
            "minimum": 0,
            "maximum": 9007199254740991
          },
          "observed_mention_share": {
            "anyOf": [
              {
                "type": "number",
                "minimum": 0,
                "maximum": 1
              },
              {
                "type": "null"
              }
            ]
          },
          "evidence": {
            "maxItems": 500,
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "evidence_id": {
                  "type": "string",
                  "format": "uuid",
                  "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                },
                "revision": {
                  "type": "integer",
                  "exclusiveMinimum": 0,
                  "maximum": 9007199254740991
                }
              },
              "required": [
                "evidence_id",
                "revision"
              ]
            }
          }
        },
        "required": [
          "id",
          "name",
          "matched_items",
          "observed_mention_share",
          "evidence"
        ]
      }
    },
    "languages": {
      "maxItems": 501,
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "language": {
            "anyOf": [
              {
                "type": "string",
                "minLength": 1,
                "maxLength": 35
              },
              {
                "type": "null"
              }
            ]
          },
          "item_count": {
            "type": "integer",
            "minimum": 0,
            "maximum": 9007199254740991
          }
        },
        "required": [
          "language",
          "item_count"
        ]
      }
    },
    "platforms": {
      "maxItems": 8,
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "platform": {
            "anyOf": [
              {
                "type": "string",
                "enum": [
                  "threads",
                  "instagram",
                  "facebook",
                  "youtube",
                  "x",
                  "reddit",
                  "web"
                ]
              },
              {
                "type": "null"
              }
            ]
          },
          "item_count": {
            "type": "integer",
            "minimum": 0,
            "maximum": 9007199254740991
          }
        },
        "required": [
          "platform",
          "item_count"
        ]
      }
    },
    "sources": {
      "maxItems": 3,
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "category": {
            "type": "string",
            "enum": [
              "your_accounts",
              "public_posts",
              "team_notes"
            ]
          },
          "item_count": {
            "type": "integer",
            "minimum": 0,
            "maximum": 9007199254740991
          }
        },
        "required": [
          "category",
          "item_count"
        ]
      }
    },
    "history": {
      "type": "object",
      "properties": {
        "eligible": {
          "type": "boolean",
          "const": false
        },
        "reason": {
          "type": "string",
          "const": "insufficient_comparable_history"
        }
      },
      "required": [
        "eligible",
        "reason"
      ]
    }
  },
  "required": [
    "project_id",
    "project_revision",
    "corpus_snapshot_id",
    "method_version",
    "coverage",
    "evidence_count",
    "unique_items",
    "brand_union_count",
    "overlap_count",
    "brands",
    "languages",
    "platforms",
    "sources",
    "history"
  ]
}
```

## エラーと安全な再試行

HTTPステータスとレスポンス本文を確認します。400の検証エラーにはZodErrorが含まれる場合があります。ハンドラーエラーはerror、message、codeを使用します。診断用にrequest_idまたはx-request-idを保持し、認証情報は含めないでください。401/403はアクセス問題を解消してから再試行し、429はRetry-Afterに従います。書き込み結果が不確か、または5xxの場合は、まず既存の結果を取得してください。冪等性キーは対応する操作でのみ再利用します。再試行の挙動は操作ごとに異なり、厳密に一回の配信は保証しません。

## 例

スキーマ確認済みの架空値の例です。認可されたID、準備済みメディア、確認済みの公開日時に置き換え、書き込み前に適格性を確認してください。このページはAPIを呼びません。

サーバーのSOSOAPI_ACCESS_TOKENに操作が受け付ける認証情報を設定し、ブラウザーコードに含めないでください。AIエージェントはsosoapi auth loginでブラウザーログインし、CLIに更新を任せます。

request.json

```json
{
  "workspace_id": "11111111-1111-4111-8111-111111111111",
  "project_id": "11111111-1111-4111-8111-111111111111",
  "project_revision": 1,
  "corpus_snapshot_id": "11111111-1111-4111-8111-111111111111"
}
```

cURL

```bash
curl --request POST \
  "https://gqeshlawtcexsapabaui.supabase.co/functions/v1/research-api/projects/overview" \
  -H "Authorization: Bearer $SOSOAPI_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  --data-binary @request.json
```

JavaScript

```js
// Server-side JavaScript. Do not print tokens or credential-bearing responses.
const token = process.env.SOSOAPI_ACCESS_TOKEN;
if (!token) throw new Error("Set an accepted credential for this operation");
const response = await fetch("https://gqeshlawtcexsapabaui.supabase.co/functions/v1/research-api/projects/overview", {
  method: "POST",
  headers: { "Content-Type": "application/json", Authorization: "Bearer " + token },
  body: JSON.stringify({
  "workspace_id": "11111111-1111-4111-8111-111111111111",
  "project_id": "11111111-1111-4111-8111-111111111111",
  "project_revision": 1,
  "corpus_snapshot_id": "11111111-1111-4111-8111-111111111111"
})
});
const result = await response.json();
// Check response.ok, the operation-specific body and completion state before continuing.
```

CLI

```bash
npx sosoapi api post /research-api/projects/overview < request.json
```

合成レスポンス例

```json
{
  "project_id": "11111111-1111-4111-8111-111111111111",
  "project_revision": 1,
  "corpus_snapshot_id": "11111111-1111-4111-8111-111111111111",
  "method_version": "literal-mentions/v1",
  "coverage": "supplied_set",
  "evidence_count": 0,
  "unique_items": 0,
  "brand_union_count": 0,
  "overlap_count": 0,
  "brands": [],
  "languages": [],
  "platforms": [],
  "sources": [],
  "history": {
    "eligible": false,
    "reason": "insufficient_comparable_history"
  }
}
```

## 関連ツールとガイド

MCP: sosoapi_research_projects_overview

[APIリファレンス](https://sosoapi.ai/ja/docs/api)
